package com.yuchen.saas.manage.system.api.feign;

import com.yuchen.saas.manage.system.api.entity.*;
import com.yuchen.saas.manage.system.api.vo.MenuVO;
import com.yuchen.saas.manage.system.api.vo.UserDeptVO;
import com.yuchen.saas.manage.system.api.vo.UserInDeptVO;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;


@Component
public class ISysClientFallback implements ISysClient {

    public R<List<MenuVO>> buttons(@RequestParam("id") String roleId,@RequestParam("isAdmin") Integer isAdmin,@RequestParam("deptId") String deptId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Menu> getMenu(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Dept> getDept(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getDeptIds(String tenantId, String deptNames) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getDeptName(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getDeptNames(String deptIds) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<Dept>> getDeptChild(Long deptId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Post> getPost(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getPostIds(String tenantId, String postNames) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getPostName(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getPostNames(String postIds) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Role> getRole(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getRoleIds(String tenantId, String roleNames) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getRoleName(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getRoleAlias(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getRoleNames(String roleIds) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getRoleAliases(String roleIds) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Tenant> getTenant(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Tenant> getTenant(String tenantId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Param> getParam(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getParamValue(String paramKey) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Region> getRegion(String code) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getChildrenIdsByParentId(String tenantId, String deptId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Post> getPost(Long tenantId, Integer isDefault) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<Dept> getDept(Long tenantId, Integer isDefault) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<String>> getRoleNames(List<Long> roleIds) {
        return R.fail("获取数据失败");
    }

    @Override
    public List<Menu> getUserMenus(String roleId, Integer isAdmin, String deptId, Long topMenuId) {
        return null;
    }

    @Override
    public R<List<DeptMenu>> listDeptMenuByMenuCode(String menuCode) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<Dept>> listDeptByMenuCode(String menuCode,Long deptId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<UserDeptVO> getUserDept(Long orgUserId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<UserInDeptVO>> listUserInDept(Long userId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<Dept>> getVisterCustomer() {
        return R.fail("获取数据失败");
    }

    @Override
    public R getApplyManageDetail(Long id) {
        return R.fail("获取数据失败");
    }
    @Override
    public R<NestOrgUser> getOrgUserById(Long orgUserId) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<NestOrgUser>> orgUserListByIds(List<Long> ids) {
        return R.fail("获取数据失败");
    }


    @Override
    public R<List<NestBusiness>> getListByDeptId() {
        return R.fail("获取数据失败");
    }

}
